Bem-vindo ao Spybot - Search & Destroy

SpyBot - Search & Destroy
Freeware, ©'2000-2002 Patrick Michael Kolla

SpyBot - Search & Destroy examina o seu disco rígido a procura de diferentes tipos de ameaças da internet - incluindo spy- e adwares, key loggers e os seus rastros de utilização (como o seu histórico do navegador, por exemplo). Spybot-S&D também pode corrigir alguns componentes do sistema.

Spybot-S&D também oferece algumas ferramentas, como o Triturador.

Licença
Por que freeware? Há uma resposta simples para essa pergunta. O que você recebe na compra de um programa? Montes de zeros e uns, e só. Se eles fossem distribuídos como formas de arte eu entenderia que pagássemos por isso.
Mas se o objetivo principal é ganhar dinheiro - através de taxas ou anúncios - então eu não concordo!
Por isto é que este programa é gratuito. Mas se você gostou dele e ele lhe foi útil, eu lhe peço um favor: reze por mim para o seu deus - ou no que quer que você acredite - e me deseje boa sorte.

Requerimentos do sistema
Óbviamente você precisa de algum tipo de Windows 32bit, como o Windows 95, 98, ME, NT, 2000 ou XP. Também é necessário aproximadamente 2 Megabytes de espaço livre no disco rígido.

Utilização
Inicie o programa clicando duas vezes no arquivo SpybotSD.exe no diretório em o você extraiu o programa. Se esta é a primeira vez que você utiliza o Spybot-Search&Destroy, ele perguntará se você quer criar um atalho na área de trabalho e/ou no menu iniciar.

Depois disso, você está dentro do programa!

Se você precisa de mais informação, veja a seção examinando.


Info dos spywares

Nessa seção você pode encontrar mais informações sobre os problemas que o Spybot-S&D pode corrigir. Se você chegou nessa seção através da lista de resultados, o problema que você quer ver ja deve estar selecionado, caso contrário você pode selecioná-lo na lista.

A informação exibida contém alguns URLs, mas como alguns desses URLs podem iniciar diretamente um download (pelo ActiveX), você não pode visitar essas páginas com o tradicional clique duplo. Em vez disso, clique em qualquer lugar com o botão direito e selecione o URL que você quer visitar se você tem certeza de que as opções de segurança de seu navegador estão bem configuradas.

Você também pode optar por ignorar o spyware selecionado nos próximos exames clicando no botão no topo da tela (isso terá o mesmo efeito se você selecionar esse produto na seção Exclusões).

Você pode encontrar as informações sobre os spywares clicando em Info dos spywares na seção Informação & Licença no menu do lado esquerdo da tela.


Sobre spyware

O que é spyware? Simplificando, spyware é um software que transmite informações pessoais contidas em seu computador para algum lugar da internet sem que você seja informado.

Geralmente, spywares não são os produtos que você instala, mas sim pequenos "add-ons", que você pode ou não desativar durante a instalação. Na maior parte dos casos, o contrato do produto tem algumas linhas informando sobre a política de privacidade da companhia, mas geralmente a maioria dos usuários não lêem esse contrato e não sabem que existem spywares em seu sistema.

Um problema menos ofensivo é o adware. Adware é similar ao spyware, mas não transmite nenhuma informação pessoal do usuário, ou pelo menos as companhias dizem não transmitir. Em vez disso, informações sobre a utilização do sistema são coletadas.

Muitas vezes o adware é um efeito-colateral de um spyware, já que os dois invadem sua privacidade com um único propósito - exibir propagandas ao usuário de acordo com os seus hábitos.

Outro tipo de spyware são os cookies de rastreamento. Cookies são usados por toda a internet, com alguns propósitos úteis e outros nem tanto. Companhias de propaganda freqüentemente criam cookies através de qualquer site que tenha uma propaganda deles que você carregue. Se esse for o caso e se o cookie contiver um GUID ("Global Unique ID" ou "Identificação única global"), a companhia será informada sobre cada site que você visitar que contenha a propaganda deles.


Sobre componentes do sistema

O registro do Windows contém muitas informações. Seu conteúdo pode ser examinado por programas comerciais de qualidade como o Symantec™ System Works. Mas há algumas coisas que fazem falta nesses programas. SpyBot-S&D pode examinar por:

  • Arquivos de ajuda inválidos – o registro contém informações sobre a localização de alguns arquivos de ajuda. Se essas informações apontam para diretórios inválidos, SpyBot-S&D poderá detectar e corrigir.

  • DLLs compartilhados inválidos – o registro contém uma lista de caminhos para DLLs compartilhados, onde eles estão localizados e o número de programas que o utilizam. SpyBot-S&D examina se os caminhos estão corretos e lhe permite alterá-los caso não estejam.

  • Caminho para arquivos inexistentes – alguns aplicativos (principalmente os que registram um novo formato de arquivo) estão registrados no registro. Se eles apontam para um arquivo que não existe mais, SpyBot-S&D pode alterar o caminho ou apagar essa entrada.

  • Informação de desinstalação incorreta – todo programa que possui seu próprio desinstalador armazena alguma informação sobre ele no registro. Se essa informação está incorreta, por exemplo, porque o desinstalador do programa estava localizado em uma pasta temporária (existem muitos programas que fazem isso), SpyBot-S&D lhe informará (e lhe permitirá alterá-la em futuras versões).

  • Caminhos inválidos em arquivos na área de trabalho – se um dos arquivos na área de trabalho estiver apontando para um arquivo que não existe, Spybot-S&D lhe informará e permitirá que você corrija o caminho ou apague esse arquivo.

Advertência: Tenha em mente que qualquer alteração nessas entradas pode corromper seu sistema! Se você não tem certeza de quais entradas realmente estão com problemas, e quais não estão, não altere-as!
Especially Microsoft Office™ tem algumas entradas no registro apontando para pastas erradas e algumas entradas apontando para arquivos de ajuda inexistentes. O programa não corrigirá o primeiro, apenas o segundo.


Sobre os rastros de utilização

Os rastros são as suas impressões digitais em seu sistema. Sempre que você visita uma página com o seu navegador, ou simplesmente abre qualquer arquivo, aquela informação é armazenada pelo Windows. Na maioria dos casos, isso é muito útil – se você quiser abrir o mesmo arquivo novamente, você pode selecioná-lo de uma lista ao invés de digitar o nome do arquivo inteiro ou procurá-lo pelas pastas novamente.

Mas em alguns casos você pode querer ocultar sua atividade, porque alguns spywares podem utilizar essas informações. Spybot-Search&Destroy pode remover alguns dos mais importantes e mais comuns rastros do seu sistema.


Configurando as opções básicas

Todas as opções importantes estão listadas nesta seção.

Instalação

Essa seção lhe permite adicionar/remover o ícone na área de trabalho e/ou no menu iniciar.

Configurações do Spybot-S&D

Acho que essas opções são auto-explicativas.

Automação

Spybot-S&D possui dois tipos de opções de automação – ao iniciar o sistema e ao iniciar o programa. Aqui você pode escolher se você quer iniciar o programa quando o Windows for iniciado, se quer procurar por atualizações automaticamente, se você quer esperar algum tempo para iniciar o exame ou para que o exame comece assim que determinados programas forem finalizados.

Configurações do arquivo de Log

Spybot-S&D pode escrever detalhes sobre cada exame em arquivos de texto. Aqui você pode escolher se quer fazer isso, se a data e o horário devem ser incluídos no nome do arquivo, e se você quer sobrescrever o arquivo de log ou continuar escrevendo dentro dele.

Aparência

Aqui você pode alterar algumas coisas no visual do Spybot-S&D. Apenas ative as opções e veja o que elas fazem.

Notificação de bugs

Se você está tendo problemas com o programa, você pode enviar uma notificação de bugs para a PepiMK Software. Essa seção é para configurar como o email será enviado. Você deve pelo menos selecionar as opções "Incluir descrição do seu sistema na mensagem" e "Incluir resultados do último exame na mensagem" (você pode visualizar o conteúdo que será enviado antes de enviar). Se você quiser receber o mesmo email que será enviado para a PepiMK Software, você pode selecionar a opção "Enviar cópia da notificação para seu endereço de email" (você precisa alterar as configurações de SMTP para fazer isso – veja a seção de ajuda da Notificação de bugs).

Você pode encontrar essas opções clicando em Configurações na seção Configurações no menu do lado esquerdo da tela.


Escolhendo o idioma do programa

Spybot-S&D usa arquivos externos para idiomas diferentes, então qualquer um pode fazer um arquivo de idioma para seu próprio idioma. Por favor, entre em contato com a PepiMK Software para receber suporte se você quiser fazer isso - você não receberá nenhum dinheiro, mas terá fama eterna ;)

Pela configuração padrão, todos os idiomas disponíveis serão exibidos na lista. Mas se você quiser remover (ou adicionar novamente depois) um idioma da lista, você pode usar o menu clicando com o botão direito.

Você pode encontrar essa opção clicando em Idioma na seção Configurações no menu do lado esquerdo da tela.


Escolhendo o que examinar (personalizar exame)

Spybot-S&D utiliza arquivos separados para tornar o exame mais flexível. Cada um desses arquivos contém a descrição de alguns problemas que o Spybot-S&D pode detectar e corrigir.

Esses arquivos são classificados em categorias, então você pode escolher qual categoria você quer incluir no exame.

As categorias básicas são spy- e adware, componentes do sistema e rastros de utilização. Para cada categoria você pode ver uma breve descrição do que elas fazem e o número de arquivos, entradas do registro e os diretórios que serão examinados.

Você pode escolher que categorias você incluirá nos exames simplesmente clicando na caixa ao lado do seu nome.

Se você ver uma categoria escrita em itálico, é porque o arquivo não é original da PepiMK Software. Como o formato do arquivo é público, qualquer usuário pode criar a sua própria categoria. Mas esses arquivos podem causar muitos danos ao seu sistema, e a PepiMK Software não pode garantir nada quanto a arquivos criados por outras pessoas, então o programa perguntará se você tem certeza de que quer utilizar esse arquivo caso não seja original da PepiMK Software.

Você pode encontrar essas opções clicando em Personalizar exame na seção Configurações no menu do lado esquerdo da tela.


Escolhendo o que não deve ser examinado (exclusões)

No momento, há três seções de exclusões:

Produtos a ignorar

Esta seção lista todos os produtos contidos nos arquivos internos e externos. Se você quiser ignorar todos os itens de um produto durante o exame, ou incluí-lo novamente, selecione o produto.

Cookies a ignorar

Cookies são rastros de utilização, mas você pode querer continuar com alguns que sejam úteis. Esta seção lista todos os cookies presentes em seu sistema, permitindo que você os ignore nos próximos exames.
(No momento, apenas os cookies do Internet Explorer e do Netscape Navigator são suportados – os cookies do Opera serão todos apagados de uma vez)

Extensões a ignorar

This is about the common Windows file open dialog. It saves lists of opened (and saved) files divided into extensions. If you don‚t want to remove the WinWord files, for example, you could select .doc to be excluded in this section.

Exclusão individual

Se você não quiser ignorar um produto inteiro, mas apenas um arquivo ou uma entrada do registro dele, você pode selecionar esse item pela lista de resultados. A lista dos itens ignorados será exibida nesta seção, onde você também pode remover um item da lista.

Todas essas seções possuem menus clicando com o botão direito.

Você pode encontrar essas opções na seção Exclusões no menu do lado esquerdo da tela.


Configurando as pastas de download

Em alguns casos, o Spybot-S&D também consegue detectar o instalador de alguns dos problemas. Apenas os instaladores que o usuário indique explicitamente para fazer o download e cujas pastas estiverem nessa lista serão examinados.

Você pode arrastar a pasta desejada até essa lista, ou clicar com o botão direito e selecionar "Adicionar uma pasta a esta lista".

Você pode encontrar essa opção clicando em Pastas na seção Configurações no menu do lado esquerdo da tela.


Escolhendo um skin

Spybot-Search&Destroy suporta skins básicos, para ajustar as cores do programa para as necessidades do usuário.

A seção de Skins exibirá uma lista dos skins disponíveis. Selecione um para visualizá-lo. A visualização (bastante simples) será exibida na parte esquerda da janela, juntamente com algumas informações logo abaixo da lista e com o logo do skin no topo da janela.

Se você gostou do skin, clique no botão Aplicar.

Você pode encontrar essa opção clicando em Skins na seção Configurações no menu do lado esquerdo da tela.


Examinando seu sistema

Uma vez que você iniciou o Spybot-Search&Destroy, você pode iniciar o exame imediatamente.

Após iniciar o programa, você já vai estar na tela do exame. Caso contrário, clique em Search & Destroy na seção Spybot-S&D no menu do lado esquerdo da tela.

A tela de exame contém uma barra de ferramentas com as opções mais importantes (você pode mover essa barra para cima ou para baixo se você quiser). Comece um exame clicando no botão Examinar.

O progresso do exame será exibido na barra de status na parte inferior da tela, e o tempo restante para o fim do exame será exibido a extrema direita. Você pode parar o exame em qualquer momento clicando no botão Parar exame que aparece assim que o exame é iniciado (e desaparecerá novamente assim que o exame for concluído).

Se o exame encontrou algum problema, a lista aparecerá. Há três tipos básicos de resultados:

  • Itens em vermelho indicam problemas com spyware que devem ser corrigidos para evitar problemas com sua segurança e/ou provacidade. Esse é o único tipo de problema que ja está selecionado para ser corrigido.

  • Itens em preto indicam incoerências no registro. Se você não sabe o que é isso, eu sugiro que você mantenha suas mãos longe disso ou que você visite o fórum de suporte.

  • Itens em verde indicam rastros de utilização. Você não terá nenhum problema se remover estes.

Para a maioria dos problemas, há mais informações disponíveis. Se você selecionou um problema da lista, o botão Ver descrição do produto estará disponível na maioria dos casos. Clique nele para saber mais sobre o problema encontrado em seu sistema.

Agora você pode selecionar que problemas você quer corrigir, clicando na caixa ao lado do nome, ou selecionando todos os problemas clicando no botão Selecionar todos os problemas. Ainda há mais opções de seleção em um menu se você clicar com o botão direito em um problema. Esse menu também permite que você ignore um único item nos próximos exames ou todos os itens de um mesmo produto (é possível alterar a lista de itens ignorados na seção Exclusões).

Quando você tiver certeza de que você selecionou tudo que você quer corrigir, aperte o botão Corrigir os problemas selecionados. Você pode ver o progresso da correção na parte inferior da tela.

Se algum problema não puder ser corrigido agora (porque ele ainda está rodando e não pode ser finalizado, por exemplo), Spybot-S&D lhe perguntará se você quer que ele inicie automaticamente na próxima vez que o sistema for iniciado, para que você possa examinar seu sistema novamente e corrigir o problema.

Se você apagou algum spyware que não deveria ter apagado, você pode restaurá-lo quando quiser, pela seção Backup.

Você também pode fazer um exame específico, para examinar apenas determinados tipos de spywares, clicando em Personalizar exame e alterando algumas configurações.


Backup

Você pode encontrar essa opção clicando em Backup na seção SpyBot-S&D no menu do lado esquerdo da tela.

Essa seção também tem uma caixa de ferramentas móvel como a da seção Search & Destroy.

Se você corrigiu alguns spywares no passado, a lista aparecerá aqui. Aqui você pode selecionar um ou mais problemas (para mais opções de seleção, use o menu clicando com o botão direito) e escolher entre recuperá-los, ou apagá-los definitivamente de seu sistema.


Atualizando

Para evitar downloads muito grandes e para maior flexibilidade, a maior parte da informação utilizada pelo exame está contida em arquivos separados.

Esses arquivos, e ainda versões atualizadas dos arquivos de ajuda, novos idiomas, descrições atualizadas, etc. podem ser baixadas usando a função de atualização.

Óbviamente, para baixar as atualizações do programa, é necessário ter uma conexão aberta à internet.

Se você já está conectado a internet, clique no botão Procurar por atualizações. Uma lista das atualizações disponíveis será baixada de um servidor da PepiMK Software, e esses arquivos serão comparadas aos arquivos já existentes em seu sistema.
As atualizações que você ainda não possui serão exibidas na lista, onde você pode selecioná-las e então clicar no botão Baixar atualizações. Durante a atualização, cada arquivo que for baixado mudará de ícone para uma marca verde.

Se você quer ler sobre as atualizações, clique no botão Ler notícias online ou visite o fórum de suporte.

Você pode encontrar a opção de atualização clicando em Atualizar na seção Online no menu do lado esquerdo da tela.


Notificando um bug

Você deve usar a Notificação de bugs apenas como um último recurso. Primeiro, procure por novas versões, leia o FAQ e veja o fórum de suporte.

Se nada disso o ajudou a resolver seus problemas, você pode enviar uma notificação de bugs. Se você está enviando uma notificação de bugs pela primeira vez, será necessário configurar seu email. Clique no botão Configurar email para configurar o seu endereço de email. A caixa que abrirá lhe permitirá configurar todas as informações necessárias. Se você usa Outlook ou Outlook Express, você pode importar suas configurações, e apenas será necessário digitar sua senha.

Uma vez que você configurou seu email, clique no botão Continuar. Uma nova seção aparecerá, permitindo que você escreva uma descrição do bug, visualize a notificação gerada automaticamente pelo sistema, e anexar arquivos ao email. Uma vez que você fez tudo isso e verificou que está tudo correto, você pode clicar no botão Enviar para enviar o email.

Você pode encontrar mais opções sobre a notificação de bugs em Opções básicas.

Você pode encontrar essa função clicando em Notificação de bugs na seção Online no menu do lado esquerdo da tela.


Opting out

Se você inscreveu seu endereço de email em algum serviço de propaganda por engano, e não sabe como parar de receber essas propagandas, você pode ter a sorte de que esse serviço esteja nesta lista. Duplo clique no endereço para visitar a página ou para enviar um email para remoção (você pode distingüir entre os dois pelo ícone ao lado).

Você pode encontrar essa opção clicando em OptOut na seção Online no menu do lado esquerdo da tela.


Ferramenta Triturador

O triturador é uma ferramenta para se livrar de arquivos de vez, sem nenhuma possiblidade de recuperá-lo.

É simples de usar - arraste alguns arquivos do explorer até a lista (ou use o menu clicando com o botão direito), selecione o número de pedaços, e clique em Triturar!.

Os rastros também serão triturados por esta ferramenta, em 5 pedaços.

Os primeiro 5 pedaços usam um padrão pré-definido de bits que deve tornar impossível a recuperação até pelo hardware. Nos demais pedaços será usado um padrão aleatório de bit que vai se alternando a cada poucos Bytes.
Triturar o arquivo em um pedaço não é o suficiente, porque os leitores do seu disco rígido não acertarão o mesmo ponto 100,00% das vezes. Há pequenas diferenças de poucos µm que permitem que um profissional consiga recuperar até informações sobrescritas. Por isso é necessário triturar o arquivo em vários pedaços, e por isso que são usados padrões diferentes.

Advertência: Esta ferramentas foi criada para remover arquivos para nunca mais serem recuperados! Se você usar, tenha consciência do que está fazendo!

Observação: Eu dei o meu melhor para que esta ferramenta pudesse funcionar o melhor possível. Mas eu não posso lhe garantir que será totalmente impossível recuperar todos os arquivos triturados.

Você poe encontrar esta ferramente clicando em Triturador na seção Ferramentas no menu do lado esquerdo da tela.


Ferramenta Dump Trash

Algumas versões antigas do Spybot-S&D infelizmente criavam chaves no registro que ele apenas examinavam se elas existiam ou não. Se você usava Spybot-S&D da versão 0.9 até a versão 0.94, você deveria usar essa ferramenta.

Primeiro clique no botão Examinar chaves. Isso pode levar algum tempo, e vai listar todas as chaves que foram criadas acidentalmente. Você pode removê-las clicando em Remover chaves. Apenas chaves vazias (inúteis) serão listadas, então você não precisa ter medo de que alguma chave acidentalmente criada no passado, mas que ainda esteja em uso seja listada e removida.

Não há necessidade de utilizar essa ferramenta mais de uma vez se você não vai mais usar nenhuma versão antiga do Spybot-S&D novamente (e é recomendável que você não o faça).

Você pode encontrar essa ferramenta clicando em Dump Trash na seção Ferramentas no menu do lado esquerdo da tela.